
// if device and clock are omitted, then the compiler defaults to 
// 18F452 @ 20MHz - they are just used here for clarity...
Device = 18F452
Clock = 20

// some LCD options...
#define isis_used
#option LCD_DATA = PORTD.4
#option LCD_RS = PORTE.0
#option LCD_EN = PORTE.1

// import LCD library...
Include "LCD.bas" 
Include "utils.bas"


                                 
Const Bottom_Left(64) As Byte = ($00,$1F,$11,$15,$11,$1D,$1D,$1F,   // LCD.Write(0)
                                 $00,$1F,$1B,$15,$15,$11,$15,$1F,   // LCD.Write(1)
                                 $00,$1F,$11,$15,$13,$15,$11,$1F,   // LCD.Write(2)
                                 $00,$1F,$11,$15,$17,$15,$11,$1F,   // LCD.Write(3)
                                 $00,$1F,$13,$15,$15,$15,$13,$1F,   // LCD.Write(4)
                                 $00,$1F,$11,$17,$13,$17,$11,$1F,   // LCD.Write(5)
                                 $00,$1F,$11,$17,$13,$17,$17,$1F,   // LCD.Write(6)
                                 $01,$1F,$0D,$13,$13,$0D,$1F,$1F)   // LCD.Write(7)
Const Top_Left(64) As Byte = ($1F,$00,$0E,$0A,$0E,$02,$02,$00,   // LCD.Write(0)
                               $1F,$00,$04,$0A,$0A,$0E,$0A,$00,   // LCD.Write(1)
                               $1F,$00,$0E,$0A,$0C,$0A,$0E,$00,   // LCD.Write(2)
                               $1F,$00,$0E,$0A,$08,$0A,$0E,$00,   // LCD.Write(3)
                               $1F,$00,$0C,$0A,$0A,$0A,$0C,$00,   // LCD.Write(4)
                               $1F,$00,$0E,$08,$0C,$08,$0E,$00,   // LCD.Write(5)
                               $1F,$00,$0E,$08,$0C,$08,$08,$00,   // LCD.Write(6)
                               $1F,$01,$13,$0D,$0D,$13,$01,$01)   // LCD.Write(7)
Const Top_Right(64) As Byte = ($1F,$10,$14,$14,$14,$14,$14,$10,   // LCD.Write(0)
                                $1F,$00,$0E,$02,$04,$08,$0E,$00,   // LCD.Write(1)
                                $1F,$00,$0E,$02,$0E,$02,$0E,$00,   // LCD.Write(2)
                                $1F,$00,$08,$0A,$0E,$04,$00,$00,   // LCD.Write(3)
                                $1F,$00,$0E,$08,$0E,$02,$04,$00,   // LCD.Write(4)
                                $1F,$00,$0E,$08,$0E,$0A,$0E,$00,   // LCD.Write(5)
                                $1F,$00,$0E,$02,$04,$08,$08,$00,   // LCD.Write(6)
                                $1F,$00,$0E,$0A,$04,$0A,$0E,$00)   // LCD.Write(7)
Const Bottom_Right(64) As Byte = ($10,$1F,$1B,$1B,$1B,$1B,$1B,$1F,   // LCD.Write(0)
                                  $00,$1F,$11,$1D,$1B,$17,$11,$1F,   // LCD.Write(1)
                                  $00,$1F,$11,$1D,$11,$1D,$11,$1F,   // LCD.Write(2)
                                  $00,$1F,$17,$15,$11,$1B,$1F,$1F,   // LCD.Write(3)
                                  $00,$1F,$11,$17,$11,$1D,$1B,$1F,   // LCD.Write(4)
                                  $00,$1F,$11,$17,$11,$15,$11,$1F,   // LCD.Write(5)
                                  $00,$1F,$11,$1D,$1B,$17,$17,$1F,   // LCD.Write(6)
                                  $00,$1F,$11,$15,$1B,$15,$11,$1F)   // LCD.Write(7)

                                  
Dim index As Byte
Dim char_ As Byte                                  

// clear screen...
ADCON1 = $07 // PORTE as digital (LCD)
Write(Top_Right)
char_ = 0
For index = 1 To 8
WriteAt(1,index,(char_))
char_ = char_ + 1
Next 
char_ = 0
Write(Top_Left)
For index = 9 To 16 
WriteAt(1,index,(char_))
char_ = char_ + 1
Next

Write(Bottom_Right)
char_= 0 
For index = 1 To 8
WriteAt(2,index,(char_))
char_ = char_ + 1
Next 
Write(Bottom_Left)
char_ = 0
For index = 9 To 16 
WriteAt(2,index,(char_))
char_ = char_ + 1
Next

